Package net.paulhertz.pixelaudio.granular

# Class GestureGranularConfig

java.lang.Object
net.paulhertz.pixelaudio.granular.GestureGranularConfig

public final class GestureGranularConfig extends Object
Class for storing core parameters for both granular and sample synthesis engine events, used extensively in PixelAudio examples. See GesturePlayground and Bagatelle examples for a real live GUI to GestureGranularConfig where you can explore the effects of different parameter values.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `GestureGranularConfig.Builder`
  `static enum`
  `GestureGranularConfig.HopMode`
  `static enum`
  `GestureGranularConfig.PathMode`
  `static enum`
  `GestureGranularConfig.TimeTransform`
  `static enum`
  `GestureGranularConfig.WarpShape`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `autoBurstGainComp`
  `final int`
  `burstGrains`
  `final float`
  `curveBias`
  `final int`
  `curveSteps`
  `final ADSRParams`
  `env`
  `final float`
  `gainDb`
  `final int`
  `grainLengthSamples`
  `final int`
  `hopLengthSamples`
  `final GestureGranularConfig.HopMode`
  `hopMode`
  `final GestureGranularConfig.PathMode`
  `pathMode`
  `final float`
  `pitchSemitones`
  `final float`
  `rdpEpsilon`
  `final int`
  `resampleCount`
  `final int`
  `targetDurationMs`
  `final GestureGranularConfig.TimeTransform`
  `timingMode`
  `final boolean`
  `useArcLengthTime`
  `final float`
  `warpExponent`
  `final GestureGranularConfig.WarpShape`
  `warpShape`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `GestureGranularConfig(GestureGranularConfig.Builder b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GestureGranularConfig`
  `defaultConfig()`
  `float`
  `gainLinear()`
  `boolean`
  `isRawGestureTiming()`
  `float`
  `pitchRatio()`
  `GestureGranularParams`
  `toParams()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pathMode

    public final GestureGranularConfig.PathMode pathMode

  - ### rdpEpsilon

    public final float rdpEpsilon

  - ### curveSteps

    public final int curveSteps

  - ### curveBias

    public final float curveBias

  - ### hopMode

    public final GestureGranularConfig.HopMode hopMode

  - ### hopLengthSamples

    public final int hopLengthSamples

  - ### timingMode

    public final GestureGranularConfig.TimeTransform timingMode

  - ### resampleCount

    public final int resampleCount

  - ### targetDurationMs

    public final int targetDurationMs

  - ### warpShape

    public final GestureGranularConfig.WarpShape warpShape

  - ### warpExponent

    public final float warpExponent

  - ### grainLengthSamples

    public final int grainLengthSamples

  - ### env

    public final ADSRParams env

  - ### gainDb

    public final float gainDb

  - ### pitchSemitones

    public final float pitchSemitones

  - ### burstGrains

    public final int burstGrains

  - ### autoBurstGainComp

    public final boolean autoBurstGainComp

  - ### useArcLengthTime

    public final boolean useArcLengthTime

- ## Constructor Details

  - ### GestureGranularConfig

    private GestureGranularConfig(GestureGranularConfig.Builder b)

- ## Method Details

  - ### defaultConfig

    public static GestureGranularConfig defaultConfig()

  - ### gainLinear

    public float gainLinear()

  - ### pitchRatio

    public float pitchRatio()

  - ### isRawGestureTiming

    public boolean isRawGestureTiming()

  - ### toParams

    public GestureGranularParams toParams()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`